<script setup>
import useUtils from "@/utils/utils.js";

const utils = useUtils()

const props = defineProps(["v-default-text", "v-value"])
const composeCapacity = function (capacity) {
	return utils.convertSizeCapacityToString(capacity)
}

</script>

<template>
	<div>
		<span v-if="vValue != null && vValue.count > 0">{{ composeCapacity(vValue) }}</span>
		<span v-else>{{ vDefaultText }}</span>
	</div>
</template>

<style scoped>

</style>